Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SortTargetEdgeIterator Struct Reference

`#include <SortIterator.h>`

Inherits tlp::StableIterator< edge >.

Inheritance diagram for tlp::SortTargetEdgeIterator:

[legend]
Collaboration diagram for tlp::SortTargetEdgeIterator:

[legend]
List of all members.

## Detailed Description

Interface of Sortiterator,.

## Public Member Functions

- SortTargetEdgeIterator (Iterator< edge > *itIn, Graph *sg, DoubleProperty *metric)
- ~SortTargetEdgeIterator ()

## Constructor & Destructor Documentation

tlp::SortTargetEdgeIterator::SortTargetEdgeIterator | ( | Iterator< edge > * | itIn,
|  | Graph * | sg,
|  | DoubleProperty * | metric
| ) | `[inline]`

tlp::SortTargetEdgeIterator::~SortTargetEdgeIterator | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010